The Active Content Plug-In

Active Content Filtering

The Active Content Filtering plug-in controls the operation of the following active elements:

    • ActiveX;

    • Java applets;

    • Programs based on Java and Visual Basic Scripts;

    • Cookies;

    • Pop-up windows;

    • Scripting ActiveX;

    • Web page navigation scripts;

    • Referrers;

    • Hidden frames;

    • Animated GIF images;

    • Flash animations.

This plug-in lets you independently allow or block any of these elements that might be contained in the web pages you are browsing or e-mail you are receiving.

The following topics describe how to use Outpost Firewall to set-up Active Content Filtering plug-in:

Enabling Active Content Filtering

Setting up Active Content Filtering for all sites

Setting up Active Content Filtering for particular sites

Setting up Active Content elements for email and news

Viewing the Active Content Filtering log


Viewing Active content log

Viewing the Active Content Log

To view the Active Content log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Highlight Active Content Filtering in the Plug-ins tree.

  4. Press the Show Detailed Log button on the plug-in Information Panel.

  5. Outpost Log Viewer will be run displaying the log for the Active Content Filtering plug-in.

You will see the elements that Active Content has blocked.

For more information about the Outpost log system, please read The Outpost Log System chapter.

Related Topics

Enabling Active Content Filtering

Setting up Active Content Filtering for all sites

Setting up Active Content Filtering for particular sites

Setting up Active Content Filtering for email and news


Enabling Active content blocking

Enabling Active Content Filtering

To enable the Active Content Filtering simply start the plug-in.

  1. On the main menu select Options

  2. Select Plug-Ins to bring up the Plug-Ins configuration dialog box

  3. Highlight Active Content Filtering

  4. Click Start.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

Setting up Active Content blocking for all sites

Setting up Active Content blocking for a particular site

Setting up Active Content elements for email and news

Viewing the Active Content log


Setting up Active content element for email and news

Setting up Active Content Elements for Email and News

To allow or deny a particular active content element for incoming email and news:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content Filtering

  4. Click Settings

  5. Click Mail and News

  6. Select an Active Content element and specify how it should be treated:

    • Disabled—element is always blocked

    • Prompt—Outpost prompts you before activating an element

    • Enabled—element is always activated

Notes

    • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall main window.

    • The Prompt option is not available for Referrers, Navigation, Visual Basic, or Java scripts, Hidden Frames and External Active Content.

Related Topics

Enabling Active Content Filtering

Setting up Active Content Filtering for all sites

Setting up Active Content Filtering for a particular site

Viewing the Active Content Filtering log


Setting up Active content blocking for all sites

Setting up Active Content Filtering for Web Sites

To specify how to treat particular Active Content elements for all web sites:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content Filtering

  4. Click Settings

  5. Select an Active Content element and specify how it should be treated:

      • Disabled—element is always blocked

      • Prompt—Outpost prompts you before activating an element

      • Enabled—element is always activated

Notes

    • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

Enabling Active Content Filtering

Setting up Active Content Filtering for a particular site

Setting up Active Content Filtering for email and news

Viewing the Active Content Filtering log


Setting up Active content blocking for particular site

Personalizing Filtering settings for specific Web sites

To set the policy for handling active content elements individually for a particular web site:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Active Content Filtering

  4. Click Settings

  5. Click Exclusions and click Add

  6. Type the web site name and click OK

  7. Specify how the site Active Content should be treated in the Policy Settings dialog

    • Disabled—element is always blocked from this site

    • Enabled—element is always activated from this site

    • Use Default Settings— element behaviour is default for this site.

Notes

    • You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall main window.

    • The Prompt option is not available for Referrers, Navigation, Visual Basic, or Java scripts, Hidden Frames and External Active Content.

    • Select Add Web sites to the exclusions list on the first visit to automatically add all the sites you open in your browser to the list so that you will be able to customize active content handling policy individually for each of them.

Related Topics

Enabling the Active Content Filtering

Setting up Active Content Filtering for all sites

Setting up Active Content Filtering for email and news

Viewing the Active Content Filtering Log


.topic 0x808b0001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x808b0002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_ADDSITE (1) **********************************************************************************

.topic 0x806e0bbe
Adds a web site for which you want to specify individual settings.

.IDD_LEARNING_COOKIE (4) **************************************************************************

.topic 0x80920bb8
Select this to block cookies for all sites.

.topic 0x809203f6
Select this to allow cookies for this site.

.topic 0x809203f7
Select this to block cookies for this site.

.topic 0x80920bb9
Select this to allow cookies for all sites.

.IDD_LEARNING_JAVAACTX (4) ************************************************************************

.topic 0x806503f0
Select this to allow Java applets for this site.

.topic 0x806503f3
Select this to block Java applets for this site.

.topic 0x00000060
Select this to allow Java applets for all sites.

.topic 0x00000061
Select this to block Java applets for all sites.

.IDD_PAGE_WEB (5) *********************************************************************************

.topic 0x00000062
Adds a web site for which you want to specify individual settings.

.topic 0x808d03ea
A checkmark enables the blocking of active content elements in web pages.

.topic 0x808d03e9
Removes a highlighted site from the list.

.topic 0x808d0414
The list of permissions for each active content element.

.topic 0x808d0415
The list of specific web sites that have rules set for their active content.